IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[V_BI_MOVIMENTO_TIPO]'))
DROP VIEW [dbo].[V_BI_MOVIMENTO_TIPO]
GO
CREATE VIEW V_BI_MOVIMENTO_TIPO
AS
SELECT
0  AS TipoMovimento,
'VendasCupomFiscal' as DsTipoMovimento
UNION ALL
SELECT
1 AS TipoMovimento,
'VendaCupomFiscalCancelada' as DsTipoMovimento
UNION ALL
SELECT
2 AS TipoMovimento,
'RecargaCelular' as DsTipoMovimento
UNION ALL
SELECT
3 AS TipoMovimento,
'DevolucaoVendas'as DsTipoMovimento
UNION ALL
SELECT
4 as TipoMovimento,
'Compras' as DsTipoMovimento
UNION ALL
SELECT
5 as TipoMovimento,
'Devolucao de compras' as DsTipoMovimento
UNION ALL
SELECT
6 as TipoMovimento,
'Transferencia' as DsTipoMovimento
UNION ALL
SELECT
7 as TipoMovimento,
'Outras entradas' as DsTipoMovimento
UNION ALL
SELECT
8 AS TipoMovimento,
'Despesas' AS DsTipoMovimento
UNION ALL
SELECT
9 AS TipoMovimento,
'Transferencia consumo' AS DsTipoMovimento
UNION ALL
SELECT
10 AS TipoMovimento,
'Vendas por nota fiscal' AS DsTipoMovimento
UNION ALL
SELECT
11 AS TipoMovimento,
'DevolucaoVendas por nota fiscal' AS DsTipoMovimento
UNION ALL
SELECT
12 AS TipoMovimento,
'SuperTroco' AS DsTipoMovimento
UNION ALL
SELECT
999 AS TipoMovimento,
'Sem Classificacao' as DsTipoMovimento
